Subject: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Juri Linkov <[email-masked]>
Date: Tue, 22 Nov 2011 03:04:36 +0200

>> This is a regression.  It makes special modes `image-mode', `archive-mode'
>> unusable when visited from dired because their keybindings are clobbered
>> with view's keybindings.
>
> That only happens if you use the `v' command instead of the ordinary
> `RET' command to view these files, right?
>
> If you're using the `v' command, you presumably want to see the files
> using `view-mode', since that's what that command is supposed to do.

Like jidanni, I used to type `v q SPC v q SPC v q SPC' to browse files in Dired.
Now when images and archives are viewed with `v', keybindings overridden
by view.el are useless (except `q'), so functionality of these modes is broken.

It's a pain to be careful of using the right key for different kind of files:
to type `RET' to view images and archives, or to type `v' to view other files.